shishi_cipher_confoundersize(3)

NAME
shishi_cipher_confoundersize - API function

SYNOPSIS
#include <shishi.h>

int shishi_cipher_confoundersize(int32_t type);

ARGUMENTS

int32_t type
    encryption type, see Shishi_etype.

DESCRIPTION
Get length of confounder for cipher.

RETURN VALUE
Returns the size of the confounder (random data) for encryption type, as defined in the standards, or (size_t)-1 on error (e.g., unsupported encryption type).

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>.

COPYRIGHT
Copyright © 2002-2010 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.